List payment intents

Returns the payment intents of your organization, in the live or test mode of the API key used, sorted by creation date with the most recent first. Unlike GET /v1/payment_intents, which uses page-based pagination (page and per_page) and supports since, until, and status filters, this endpoint uses cursor-based pagination. Use limit to set the page size and the starting_after or ending_before cursors to move between pages. The Link response header contains the URL of the next page. Available for organizations on API version 2026-02-01 or later.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Cursor for pagination. The id of a payment intent; the response only includes payment intents created after that payment intent. Cannot be used together with starting_after.

integer

Number of payment intents to return per page. Defaults to 30, with a maximum of 300.

string

Cursor for pagination. The id of a payment intent; the response only includes payment intents created before that payment intent. Cannot be used together with ending_before.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json